List mid call tools
curl --request GET \
--url https://app.autocalls.ai/api/user/tools \
--header 'Accept: <accept>' \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'[
{
"id": 1,
"name": "get_weather",
"description": "Use this tool to get the current weather in a specific city. Call this when the customer asks about weather conditions.",
"endpoint": "https://api.openweathermap.org/data/2.5/weather",
"method": "GET",
"timeout": 10,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
},
{
"name": "Authorization",
"value": "Bearer sk_..."
}
],
"schema": [
{
"name": "city",
"type": "string",
"description": "The city name to get weather for"
},
{
"name": "temperature",
"type": "number",
"description": "Current temperature value"
},
{
"name": "is_raining",
"type": "boolean",
"description": "Whether it is currently raining"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T12:00:00.000000Z"
},
{
"id": 2,
"name": "send_notification",
"description": "Use this tool to send a notification to the customer. Call this when customer requests updates.",
"endpoint": "https://api.yourcompany.com/notifications/send",
"method": "POST",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"schema": [
{
"name": "message",
"type": "string",
"description": "The notification message to send"
},
{
"name": "priority_level",
"type": "number",
"description": "Priority level from 1 to 5"
},
{
"name": "send_sms",
"type": "boolean",
"description": "Whether to also send SMS notification"
}
],
"created_at": "2025-10-09T14:30:00.000000Z",
"updated_at": "2025-10-10T09:15:00.000000Z"
}
]
Mid Call Tools
List mid call tools
Retrieve all mid call tools
GET
/
user
/
tools
List mid call tools
curl --request GET \
--url https://app.autocalls.ai/api/user/tools \
--header 'Accept: <accept>' \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'[
{
"id": 1,
"name": "get_weather",
"description": "Use this tool to get the current weather in a specific city. Call this when the customer asks about weather conditions.",
"endpoint": "https://api.openweathermap.org/data/2.5/weather",
"method": "GET",
"timeout": 10,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
},
{
"name": "Authorization",
"value": "Bearer sk_..."
}
],
"schema": [
{
"name": "city",
"type": "string",
"description": "The city name to get weather for"
},
{
"name": "temperature",
"type": "number",
"description": "Current temperature value"
},
{
"name": "is_raining",
"type": "boolean",
"description": "Whether it is currently raining"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T12:00:00.000000Z"
},
{
"id": 2,
"name": "send_notification",
"description": "Use this tool to send a notification to the customer. Call this when customer requests updates.",
"endpoint": "https://api.yourcompany.com/notifications/send",
"method": "POST",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"schema": [
{
"name": "message",
"type": "string",
"description": "The notification message to send"
},
{
"name": "priority_level",
"type": "number",
"description": "Priority level from 1 to 5"
},
{
"name": "send_sms",
"type": "boolean",
"description": "Whether to also send SMS notification"
}
],
"created_at": "2025-10-09T14:30:00.000000Z",
"updated_at": "2025-10-10T09:15:00.000000Z"
}
]
This endpoint allows you to retrieve all mid call tools. Mid call tools enable your AI assistants to interact with external APIs during a call.Documentation Index
Fetch the complete documentation index at: https://docs.autocalls.ai/llms.txt
Use this file to discover all available pages before exploring further.
Headers
Bearer token for authentication
Must be
application/jsonMust be
application/jsonResponse fields
Array of mid call tools
Show properties
Show properties
The unique identifier of the tool
The name of the tool (lowercase with underscores)
Detailed explanation of when and how the AI should use this tool
The API endpoint URL that will be called
HTTP method (GET, POST, PUT, PATCH, DELETE)
Request timeout in seconds (1-30)
ISO 8601 timestamp when the tool was created
ISO 8601 timestamp when the tool was last updated
[
{
"id": 1,
"name": "get_weather",
"description": "Use this tool to get the current weather in a specific city. Call this when the customer asks about weather conditions.",
"endpoint": "https://api.openweathermap.org/data/2.5/weather",
"method": "GET",
"timeout": 10,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
},
{
"name": "Authorization",
"value": "Bearer sk_..."
}
],
"schema": [
{
"name": "city",
"type": "string",
"description": "The city name to get weather for"
},
{
"name": "temperature",
"type": "number",
"description": "Current temperature value"
},
{
"name": "is_raining",
"type": "boolean",
"description": "Whether it is currently raining"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T12:00:00.000000Z"
},
{
"id": 2,
"name": "send_notification",
"description": "Use this tool to send a notification to the customer. Call this when customer requests updates.",
"endpoint": "https://api.yourcompany.com/notifications/send",
"method": "POST",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"schema": [
{
"name": "message",
"type": "string",
"description": "The notification message to send"
},
{
"name": "priority_level",
"type": "number",
"description": "Priority level from 1 to 5"
},
{
"name": "send_sms",
"type": "boolean",
"description": "Whether to also send SMS notification"
}
],
"created_at": "2025-10-09T14:30:00.000000Z",
"updated_at": "2025-10-10T09:15:00.000000Z"
}
]
Assigning Tools to Assistants
To use these tools with assistants, see:- Create Assistant - Attach tools using the
tool_idsparameter - Update Assistant - Manage tool assignments using the
tool_idsparameter
⌘I

